package com.m2pool.lease.utils;

import com.sun.jna.Library;
import com.sun.jna.Native;

public interface NativeLibrary extends Library {
    // 加载本地库，注意在 Linux 下库名不需要带 lib 前缀和 .so 后缀
    NativeLibrary INSTANCE = Native.load("/home/ubuntu/cnative/libblake3.so", NativeLibrary.class);

    // 定义本地方法，方法签名要和 C 头文件中的函数签名对应
    void alph_hash(byte[] output, String input);
}
